<!DOCTYPE html>
<html lang="en">
	<head>
		<meta charset="UTF-8" />
		<meta name="viewport" content="width=device-width, initial-scale=1.0" />
		<title>INTERACT</title>
		<link rel="stylesheet" href="style.css" />
		<link rel="stylesheet" href="grid.css" />
		<link
			href="https://fonts.googleapis.com/css2?family=Lato:wght@300;400;700;900&display=swap"
			rel="stylesheet"
		/>
		<link
			rel="stylesheet"
			href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css"
		/>
	</head>
	<body>
		<header class="header">
			<nav class="header__navbar">
				<div class="container navbar">
					<h1 class="navbar__title">INTERACT</h1>
					<div class="navbar__btn" onclick="toggleNavbar()">
						<i
							class="fa fa-bars"
							aria-hidden="true"
							style="font-size: 24px;"
						></i>
					</div>
					<ul class="navbar__nav">
						<li class="nav-item">
							<a href="#section-features">FEATURES</a>
						</li>
						<li class="nav-item">
							<a href="#section-about">ABOUT</a>
						</li>
						<li class="nav-item">
							<a href="#section-services">SERVICES</a>
						</li>
						<li class="nav-item">
							<a href="#section-gallery">GALLERY</a>
						</li>
						<li class="nav-item">
							<a href="#section-comments">TESTIMONIALS</a>
						</li>
						<li class="nav-item"><a href="#">TEAM</a></li>
						<li class="nav-item">
							<a href="#">CONTACT</a>
						</li>
					</ul>
				</div>
			</nav>
			<div class="intro">
				<div class="container">
					<h1 class="intro__title">we are Intreact</h1>
					<p class="intro__text">
						Lorem ipsum dolor sit amet, consectetur adipiscing elit.
						Duis sed dapibus leo nec ornare diam sed commodo nibh
						ante facilisis bibendum.
					</p>
					<a href="#" class="btn">Learn more</a>
				</div>
			</div>
		</header>

		<main>
			<!-- SECTION FEATURES -->
			<section id="section-features">
				<div class="container">
					<div class="section-title">
						<h2 class="heading-primary">Features</h2>
					</div>
					<div class="row">
						<div class="feature col-md-3 mb-3">
							<div class="feature__icon icon">
								<i class="fa fa-comments-o"></i>
							</div>
							<h3 class="feature__title">Lorem ipsum</h3>
							<div class="feature__text">
								Lorem ipsum dolor sit amet placerat facilisis
								felis mi in tempus eleifend pellentesque natoque
								etiam.
							</div>
						</div>
						<div class="feature col-md-3 mb-md-3">
							<div class="feature__icon icon">
								<i class="fa fa-bullhorn"></i>
							</div>
							<h3 class="feature__title">Dolor sit amet</h3>
							<div class="feature__text">
								Lorem ipsum dolor sit amet placerat facilisis
								felis mi in tempus eleifend pellentesque.
							</div>
						</div>
						<div class="feature col-md-3 mb-md-3">
							<div class="feature__icon icon">
								<i class="fa fa-group"></i>
							</div>
							<h3 class="feature__title">Tempus eleifend</h3>
							<div class="feature__text">
								Lorem ipsum dolor sit amet placerat facilisis
								felis mi in tempus eleifend pellentesque natoque
								etiam.
							</div>
						</div>
						<div class="feature col-md-3 mb-md-3">
							<div class="feature__icon icon">
								<i class="fa fa-magic"></i>
							</div>
							<h3 class="feature__title">Pellentesque</h3>
							<div class="feature__text">
								Lorem ipsum dolor sit amet placerat facilisis
								felis mi in tempus eleifend pellentesque
								natoque.
							</div>
						</div>
					</div>
				</div>
			</section>

			<!-- SECTION ABOUT -->
			<section id="section-about">
				<div class="container">
					<div class="row">
						<div class="col-md-6 mb-md-3">
							<img
								src="img/about.jpg"
								alt="about"
								class="about__img"
							/>
						</div>
						<div class="about col-md-6">
							<h2 class="heading-primary">about us</h2>
							<div class="about__text">
								Lorem ipsum dolor sit amet, consectetur
								adipiscing elit, sed do eiusmod tempor
								incididunt ut labore et dolore magna aliqua. Ut
								enim ad minim veniam, quis nostrud exercitation
								ullamco laboris nisi ut aliquip ex ea commodo
								consequat. Lorem ipsum dolor sit amet,
								consectetur adipiscing elit, sed do eiusmod
								tempor incididunt ut labore et dolore magna
								aliqua.
							</div>
							<div class="about__footer">
								<h3 class="about__secondary-title">
									Why Choose Us?
								</h3>
								<div class="about__lists">
									<ul class="list">
										<li class="list__item">
											Lorem ipsum dolor
										</li>
										<li class="list__item">
											Tempor incididunt
										</li>
										<li class="list__item">
											Lorem ipsum dolor
										</li>
										<li class="list__item">
											Incididunt ut labore
										</li>
									</ul>
									<ul class="list">
										<li class="list__item">
											Lorem ipsum dolor
										</li>
										<li class="list__item">
											Tempor incididunt
										</li>
										<li class="list__item">
											Lorem ipsum dolor
										</li>
										<li class="list__item">
											Incididunt ut labore
										</li>
									</ul>
								</div>
							</div>
						</div>
					</div>
				</div>
			</section>

			<!-- SECTION SERVICES -->
			<section id="section-services">
				<div class="container">
					<div class="section-title">
						<h2 class="heading-primary heading-primary--white">
							our servies
						</h2>
						<p>
							Lorem ipsum dolor sit amet, consectetur adipiscing
							elit duis sed dapibus leonec.
						</p>
					</div>
					<div class="row">
						<div class="service col-md-4 mb-3">
							<div class="service__icon icon">
								<i class="fa fa-wordpress"></i>
							</div>
							<h3 class="service__title">Lorem ipsum dolor</h3>
							<div class="service__text">
								Lorem ipsum dolor sit amet, consectetur
								adipiscing elit. Duis sed dapibus leo nec ornare
								diam sedasd commodo nibh ante facilisis bibendum
								dolor feugiat at.
							</div>
						</div>
						<div class="service col-md-4 mb-3">
							<div class="service__icon icon">
								<i class="fa fa-cart-arrow-down"></i>
							</div>
							<h3 class="service__title">
								Consectetur adipiscing
							</h3>
							<div class="service__text">
								Lorem ipsum dolor sit amet, consectetur
								adipiscing elit. Duis sed dapibus leo nec ornare
								diam sedasd commodo nibh ante facilisis bibendum
								dolor feugiat at. Lorem ipsum dolor sit amet,
								consectetur adipiscing elit.
							</div>
						</div>
						<div class="service col-md-4 mb-3">
							<div class="service__icon icon">
								<i class="fa fa-cloud-download"></i>
							</div>
							<h3 class="service__title">Lorem ipsum dolor</h3>
							<div class="service__text">
								Lorem ipsum dolor sit amet, consectetur
								adipiscing elit. Duis sed dapibus leo nec ornare
								diam sedasd commodo nibh ante facilisis bibendum
								dolor feugiat at.
							</div>
						</div>
						<div class="service col-md-4 mb-3">
							<div class="service__icon icon">
								<i class="fa fa-language"></i>
							</div>
							<h3 class="service__title">
								Consectetur adipiscing
							</h3>
							<div class="service__text">
								Lorem ipsum dolor sit amet, consectetur
								adipiscing elit. Duis sed dapibus leo nec ornare
								diam sedasd commodo nibh ante facilisis bibendum
								dolor feugiat at.
							</div>
						</div>
						<div class="service col-md-4 mb-3">
							<div class="service__icon icon">
								<i class="fa fa-plane"></i>
							</div>
							<h3 class="service__title">
								Lorem ipsum dolor
							</h3>
							<div class="service__text">
								Lorem ipsum dolor sit amet, consectetur
								adipiscing elit. Duis sed dapibus leo nec ornare
								diam sedasd commodo nibh ante facilisis bibendum
								dolor feugiat at. Lorem ipsum dolor sit amet,
								consectetur adipiscing elit.
							</div>
						</div>
						<div class="service col-md-4 mb-3">
							<div class="service__icon icon">
								<i class="fa fa-pie-chart"></i>
							</div>
							<h3 class="service__title">
								Consectetur adipiscing
							</h3>
							<div class="service__text">
								Lorem ipsum dolor sit amet, consectetur
								adipiscing elit. Duis sed dapibus leo nec ornare
								diam sedasd commodo nibh ante facilisis bibendum
								dolor feugiat at.
							</div>
						</div>
					</div>
				</div>
			</section>

			<!-- SECTION GALLERY -->
			<section id="section-gallery">
				<div class="container">
					<div class="section-title">
						<h2 class="heading-primary">gallery</h2>
						<p>
							Lorem ipsum dolor sit amet, consectetur adipiscing
							elit duis sed dapibus leonec.
						</p>
					</div>
					<div class="row">
						<div class="col-md-4 col-6 overlay">
							<a>
								<img
									src="img/01-small.jpg"
									alt="imgage 1"
									class="img-fluid"
								/>
								<div class="overlay-content">
									<p>lorem ipsum</p>
								</div>
							</a>
						</div>
						<div class="col-md-4 col-6 overlay">
							<a>
								<img
									src="img/02-small.jpg"
									alt="imgage 1"
									class="img-fluid"
								/>
								<div class="overlay-content">
									<p>lorem ipsum</p>
								</div>
							</a>
						</div>
						<div class="col-md-4 col-12 overlay">
							<a>
								<img
									src="img/03-small.jpg"
									alt="imgage 1"
									class="img-fluid"
								/>
								<div class="overlay-content">
									<p>lorem ipsum</p>
								</div>
							</a>
						</div>
						<div class="col-md-4 col-6 overlay">
							<a>
								<img
									src="img/04-small.jpg"
									alt="imgage 1"
									class="img-fluid"
								/>
								<div class="overlay-content">
									<p>lorem ipsum</p>
								</div>
							</a>
						</div>
						<div class="col-md-4 col-6 overlay">
							<a>
								<img
									src="img/05-small.jpg"
									alt="imgage 1"
									class="img-fluid"
								/>
								<div class="overlay-content">
									<p>lorem ipsum</p>
								</div>
							</a>
						</div>
						<div class="col-md-4 col-12 overlay">
							<a>
								<img
									src="img/06-small.jpg"
									alt="imgage 1"
									class="img-fluid"
								/>
								<div class="overlay-content">
									<p>lorem ipsum</p>
								</div>
							</a>
						</div>
						<div class="col-md-4 col-6 overlay">
							<a>
								<img
									src="img/07-small.jpg"
									alt="imgage 1"
									class="img-fluid"
								/>
								<div class="overlay-content">
									<p>lorem ipsum</p>
								</div>
							</a>
						</div>
						<div class="col-md-4 col-6 overlay">
							<a>
								<img
									src="img/08-small.jpg"
									alt="imgage 1"
									class="img-fluid"
								/>
								<div class="overlay-content">
									<p>lorem ipsum</p>
								</div>
							</a>
						</div>
						<div class="col-md-4 col-12 overlay">
							<a>
								<img
									src="img/09-small.jpg"
									alt="imgage 1"
									class="img-fluid"
								/>
								<div class="overlay-content">
									<p>lorem ipsum</p>
								</div>
							</a>
						</div>
					</div>
				</div>
			</section>

			<!-- SECTION COMMENTS -->
			<section id="section-comments">
				<div class="container">
					<div class="section-title">
						<h2 class="heading-primary">WHAT OUR CLIENTS SAY</h2>
					</div>
					<div class="row"></div>
				</div>
			</section>

			<!-- SECTION TEAM -->
			<section id="section-team">
				<div class="container">
					<div class="section-title">
						<h2 class="heading-primary">MEET THE TEAM</h2>
						<p>
							Lorem ipsum dolor sit amet, consectetur adipiscing
							elit duis sed dapibus leonec.
						</p>
					</div>
					<div class="row">
						<div class="col-md-3 member">
							<div class="member__photo">
								<img
									src="img/01 (1).jpg"
									alt="member 1"
									class="img-fluid"
								/>
							</div>
							<div class="member__name">
								<span>John Doe</span>
							</div>
							<div class="member__role">
								<span>Director</span>
							</div>
						</div>
						<div class="col-md-3 member">
							<div class="member__photo">
								<img
									src="img/02 (1).jpg"
									alt="member 1"
									class="img-fluid"
								/>
							</div>
							<div class="member__name">
								<span>Mike Doe</span>
							</div>
							<div class="member__role">
								<span>Senior Designer</span>
							</div>
						</div>
						<div class="col-md-3 member">
							<div class="member__photo">
								<img
									src="img/03 (1).jpg"
									alt="member 1"
									class="img-fluid"
								/>
							</div>
							<div class="member__name">
								<span>Jane Doe</span>
							</div>
							<div class="member__role">
								<span>Senior Designer</span>
							</div>
						</div>
						<div class="col-md-3 member">
							<div class="member__photo">
								<img
									src="img/04 (1).jpg"
									alt="member 1"
									class="img-fluid"
								/>
							</div>
							<div class="member__name">
								<span>Karen Doe</span>
							</div>
							<div class="member__role">
								<span>Project Manager</span>
							</div>
						</div>
					</div>
				</div>
			</section>
		</main>
		<script>
			function toggleNavbar() {
				var navbar = document.querySelector('.navbar__nav')
				navbar.style.maxHeight = navbar.style.maxHeight
					? null
					: navbar.scrollHeight + 'px'
			}
		</script>
		<script>
			function User(name, comment, photoUrl) {
				this.name = name
				this.comment = comment
				this.photoUrl = photoUrl
			}

			var users = [
				new User(
					'John Doe',
					'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis sed dapibus leo nec ornare diam sedasd commodo nibh ante facilisis bibendum dolor feugiat at.',
					'img/01.jpg'
				),
				new User(
					'Johnathan Doe',
					'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis sed dapibus leo nec ornare diam sedasd commodo nibh ante facilisis.',
					'img/02.jpg'
				),
				new User(
					'John Doe',
					'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis sed dapibus leo nec ornare diam sedasd commodo nibh ante facilisis bibendum dolor feugiat at.',
					'img/03.jpg'
				),
				new User(
					'Johnathan Doe',
					'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis sed dapibus leo nec ornare diam sedasd commodo nibh ante facilisis bibendum dolor feugiat at.',
					'img/04.jpg'
				),
				new User(
					'John Doe',
					'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis sed dapibus leo nec ornare diam sedasd commodo nibh ante facilisis bibendum dolor feugiat at.',
					'img/05.jpg'
				),
				new User(
					'Johnathan Doe',
					'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis sed dapibus leo nec ornare diam sedasd commodo nibh ante facilisis.',
					'img/06.jpg'
				)
			]

			var comments = document.querySelector('#section-comments .row')
			
			function addComment(user) {
				const { comment, name, photoUrl } = user
				var inner = `
							<div class="comment__avatar">
								<img
									src="${photoUrl}"
									class="img-fluid"
									alt="user-${name}"
								/>
							</div>
							<div class="comment__content">
								<p class="comment__text">
									${comment}
								</p>
								<div class="comment__author">${name}</div>
							</div>`
				var col = document.createElement('div')
				col.classList = 'col-md-4 comment mb-3'
				col.innerHTML = inner
				comments.appendChild(col)
			}

			for (let user of users) {
				addComment(user)
			}
		</script>
	</body>
</html>
